cURL
curl --request PUT \
--url https://api.samora.ai/v1/external/campaigns/{agent_id}/{campaign_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"retry_config": {
"max_retries": 2,
"retry_delay_minutes": 30,
"retry_on": [
"UNANSWERED",
"REJECTED",
"VOICEMAIL"
]
}
}
'import requests
url = "https://api.samora.ai/v1/external/campaigns/{agent_id}/{campaign_id}"
payload = { "retry_config": {
"max_retries": 2,
"retry_delay_minutes": 30,
"retry_on": ["UNANSWERED", "REJECTED", "VOICEMAIL"]
} }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
retry_config: {
max_retries: 2,
retry_delay_minutes: 30,
retry_on: ['UNANSWERED', 'REJECTED', 'VOICEMAIL']
}
})
};
fetch('https://api.samora.ai/v1/external/campaigns/{agent_id}/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_name": "<string>",
"retry_config": {
"max_retries": 2,
"retry_delay_minutes": 30,
"retry_on": [
"UNANSWERED",
"REJECTED",
"VOICEMAIL"
]
},
"call_stats": {
"total": 123,
"finished": 123,
"pending": 123,
"unanswered": 123,
"failed": 123,
"total_duration": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}API reference
Update campaign settings
Updates retry settings for a draft campaign.
PUT
/
v1
/
external
/
campaigns
/
{agent_id}
/
{campaign_id}
cURL
Authorizations
Your unique organization API key. Required on all requests.
Path Parameters
The UUID of the AI agent that owns the campaign.
The UUID of the campaign.
Body
application/json
Optional retry behavior for campaign calls. Retries are attempted when a call ends with one of the statuses listed in retry_on.
Show child attributes
Show child attributes
Example:
{
"max_retries": 2,
"retry_delay_minutes": 30,
"retry_on": ["UNANSWERED", "REJECTED", "VOICEMAIL"]
}
⌘I